Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.ejb
Class EJBTxnHandlerImpl

`java.lang.Object
oracle.jbo.server.ejb.EJBTxnHandlerImpl`

All Implemented Interfaces:
  JTATransactionHandler, TransactionHandler

public class EJBTxnHandlerImpl
extends java.lang.Object
implements JTATransactionHandler

DBTransactionImpl implementation that uses the ejb(jts) txn model

Version:
  INTERNAL

Constructor Summary
`EJBTxnHandlerImpl(javax.ejb.SessionContext ctx, int timeout, boolean timeoutAfterBegin)`

Method Summary
`void` | `begin()`
`void` | `beginActivation()`
`void` | `beginPassivation()`
`void` | `end()`
`void` | `endActivation()`
`void` | `endPassivation()`
`protected int` | `getStatus()`
`void` | `handleClose(java.sql.Connection conn)` Terminates the transaction.
`void` | `handleCommit(java.sql.Connection conn, boolean autoStart)` Commits changes to the database.
`void` | `handleOpen(java.sql.Connection conn)` Initializes the transaction.
`void` | `handleRollback(java.sql.Connection c, boolean autoStart)` Discards changes to the database.
`void` | `registerSynchronization(DBTransaction txn)`
`void` | `resume()`
`void` | `suspend()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBTxnHandlerImpl

    public EJBTxnHandlerImpl(javax.ejb.SessionContext ctx,
                             int timeout,
                             boolean timeoutAfterBegin)

Method Detail

### begin

    public final void begin()

  Specified by:
    `begin` in interface `TransactionHandler`

### end

    public final void end()

### handleOpen

    public final void handleOpen(java.sql.Connection conn)

  Description copied from interface: `TransactionHandler`
  Initializes the transaction.
  Specified by:
    `handleOpen` in interface `TransactionHandler`

### handleCommit

    public final void handleCommit(java.sql.Connection conn,
                                   boolean autoStart)

  Description copied from interface: `TransactionHandler`
  Commits changes to the database.
  Specified by:
    `handleCommit` in interface `TransactionHandler`

### handleRollback

    public final void handleRollback(java.sql.Connection c,
                                     boolean autoStart)

  Description copied from interface: `TransactionHandler`
  Discards changes to the database.
  Specified by:
    `handleRollback` in interface `TransactionHandler`

### handleClose

    public void handleClose(java.sql.Connection conn)

  Description copied from interface: `TransactionHandler`
  Terminates the transaction.
  Specified by:
    `handleClose` in interface `TransactionHandler`

### registerSynchronization

    public void registerSynchronization(DBTransaction txn)

  Specified by:
    `registerSynchronization` in interface `JTATransactionHandler`

### getStatus

    protected int getStatus()

### suspend

    public void suspend()

  Specified by:
    `suspend` in interface `TransactionHandler`

### resume

    public void resume()

  Specified by:
    `resume` in interface `TransactionHandler`

### beginActivation

    public void beginActivation()

  Specified by:
    `beginActivation` in interface `TransactionHandler`

### endActivation

    public void endActivation()

  Specified by:
    `endActivation` in interface `TransactionHandler`

### beginPassivation

    public void beginPassivation()

  Specified by:
    `beginPassivation` in interface `TransactionHandler`

### endPassivation

    public void endPassivation()

  Specified by:
    `endPassivation` in interface `TransactionHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.